Fabric - Trouble Verifying Installation (Step 2 of 2)


#1

Hi there,

I am trying to integrate Fabric into an app that I am working on in Swift 2.0. iOS 9.1 physical device with Xcode 7.1.

Fabric Version: 2.0.3 (1052)
My OSX version is Yosemite: 10.10.5
My Bundle Identifier is: com.bohueilin.Tweetlytics
App I am trying to install: Crashlytics and Twitter

I have tried to clear local cache with “rm -rf ~/Library/Caches/com.crashlytics.mac” command.
Rebooted my Mac laptop and does not help.

Can you please help me look into this issue?

Thanks,

Bo


#2

Can anyone please help me here? I have tried with Fabric Support Email as well and still waiting for some help :smile:


#3

Hey there,

Looks like Norihito is chatting with you about this over email, I’ve pinged them on this and they’ll be following up soon.

-Mike


#4

Thank you Mike,

Greatly appreciate it!


#5

Hi there,

Is Norihito on vacation :)? I have not yet heard back anything on this issue…

Thank you and have a great night!

Bo


#6

One more try before the weekend… :smile:

I guess Norihito is on vacation :)?..


#7

Hmm, odd you didn’t get his email. Try this out - turn on debug mode by adding this line before your Fabric.with line:

// Swift
Crashlytics().debugMode = true
Fabric.with([Crashlytics.self()])

// Objective-C
[[Crashlytics sharedInstance] setDebugMode:YES];
[Fabric with:@[[Crashlytics class]]];

Then build and run your app, cause a test crash, and send me the output on relaunch.


#8

hey Mike,

I have figured out what i was missing. I did not include "Fabric.with([Crashlytics.self, Twitter.self])…

What a rookie mistake :)…

I am allset on this issue now.

Thanks


#9

Glad to hear you’re all set now @bohueilin! Happy coding :slight_smile:


#10